r14793 - gnucash/trunk/packaging/win32 - Add ActivePerl. This is a download of ~8MB only used by intltool,
Andreas Köhler
andi5 at cvs.gnucash.org
Sun Sep 3 17:48:53 EDT 2006
Author: andi5
Date: 2006-09-03 17:48:52 -0400 (Sun, 03 Sep 2006)
New Revision: 14793
Trac: http://svn.gnucash.org/trac/changeset/14793
Modified:
gnucash/trunk/packaging/win32/custom.sh
gnucash/trunk/packaging/win32/install.sh
Log:
Add ActivePerl. This is a download of ~8MB only used by intltool,
providing a working XML::Parser module, but by far the easiest
solution when trying to avoid recreating configure scripts with
[no-xml]. If it is accepted, these adjustments for libgsf, goffice and
gnucash can be removed.
Modified: gnucash/trunk/packaging/win32/custom.sh
===================================================================
--- gnucash/trunk/packaging/win32/custom.sh 2006-09-03 21:08:37 UTC (rev 14792)
+++ gnucash/trunk/packaging/win32/custom.sh 2006-09-03 21:48:52 UTC (rev 14793)
@@ -38,6 +38,9 @@
INDENT_BIN_URL="$SF_MIRROR/gnuwin32/indent-2.2.9-bin.zip"
INDENT_DIR=$GLOBAL_DIR\\indent
+ACTIVE_PERL_URL="http://downloads.activestate.com/ActivePerl/Windows/5.6/ActivePerl-5.6.1.638-MSWin32-x86.zip"
+ACTIVE_PERL_DIR=$GLOBAL_DIR\\active-perl
+
GUILE_URL="http://ftp.gnu.org/pub/gnu/guile/guile-1.6.8.tar.gz"
SLIB_URL="http://swiss.csail.mit.edu/ftpdir/scm/slib3a3.zip"
GUILE_DIR=$GLOBAL_DIR\\guile
@@ -135,6 +138,7 @@
add_step inst_regex
add_step inst_readline
add_step inst_indent
+add_step inst_active_perl
add_step inst_guile
add_step inst_openssl
add_step inst_pexports
Modified: gnucash/trunk/packaging/win32/install.sh
===================================================================
--- gnucash/trunk/packaging/win32/install.sh 2006-09-03 21:08:37 UTC (rev 14792)
+++ gnucash/trunk/packaging/win32/install.sh 2006-09-03 21:48:52 UTC (rev 14793)
@@ -23,6 +23,7 @@
SEPS_AUTOTOOLS_CPPFLAGS=" "
SEPS_AUTOTOOLS_LDFLAGS=" "
SEPS_GUILE_LOAD_PATH=";"
+SEPS_INTLTOOL_PERL=" "
SEPS_LIBGLADE_MODULE_PATH=";"
SEPS_PATH=":"
SEPS_PKG_CONFIG_PATH=":"
@@ -36,6 +37,7 @@
AUTOTOOLS_CPPFLAGS \
AUTOTOOLS_LDFLAGS \
GUILE_LOAD_PATH \
+INTLTOOL_PERL \
LIBGLADE_MODULE_PATH \
PATH \
PKG_CONFIG_PATH \
@@ -233,6 +235,26 @@
quiet which indent || die "indent unavailable"
}
+function inst_active_perl() {
+ setup ActivePerl \(intltool\)
+ _ACTIVE_PERL_WFSDIR=`win_fs_path $ACTIVE_PERL_DIR`
+ add_to_env $_ACTIVE_PERL_WFSDIR/bin/perl INTLTOOL_PERL
+ if quiet $INTLTOOL_PERL --help
+ then
+ echo "ActivePerl already installed. skipping."
+ else
+ wget_unpacked $ACTIVE_PERL_URL $DOWNLOAD_DIR $ACTIVE_PERL_DIR
+ # this is the first of several bad hacks
+ # it would be much more natural to have a sort of -p flag like for `patch'
+ # please deuglify me
+ qpushd $ACTIVE_PERL_DIR
+ cp -r ActivePerl/Perl/* .
+ rm -rf ActivePerl
+ qpopd
+ fi
+ quiet $INTLTOOL_PERL --help || die "ActivePerl not installed correctly"
+}
+
function inst_guile() {
setup Guile
_GUILE_WFSDIR=`win_fs_path $GUILE_DIR`
More information about the gnucash-changes
mailing list